PDFRESURRECT(1)

NAME
pdfresurrect - tool for extracting versioning data from PDF documents

SYNOPSIS

pdfresurrect file.pdf [-w][-q][-i]

DESCRIPTION
This manual page documents briefly the pdfresurrect command.

pdfresurrect is a tool for extracting versioning data from PDF documents.

OPTIONS
A summary of options is included below.

-w  Write the PDF versions and summary to disk.

-q  Display only the number of versions contained in the PDF.

-i  Display the creator information from the specified PDF.

NOTES
The scrubbing feature (-s) should not be trusted for any serious security uses. After using this feature, please verify that it in fact zero'd all of the objects that were of concern.

This tool relies on the application reading the pdfresurrect extracted versions to treat the last xref(cross-reference) table as the most recent in the document. This should typically be the case.

The verbose output, which tries to deduce the PDF object type (e.g. stream, page), is not always accurate, and the object counts might not be 100% accurate. However, this should not prevent the extraction of the versions. This output is merely to provide a hint for the user as to what might be different between the documents.

Object counts might appear off in linearized PDF documents. That is not truly the case, the reason for this is that each version of the PDF consists of the objects that compose the linear portion of the PDF plus all of the objects that compose the version in question. Suppose there is a linearized PDF with 59 objects in its linear portion, and suppose the PDF has a second version that consists of 21 objects. The total number of objects in "version 2" would be 59 + 21 or 80 objects.

COPYRIGHT
pdfresurrect is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

pdfresurrect is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with pdfresurrect. If not, see <http://www.gnu.org/licenses/>.

AUTHORS
pdfresurrect was originally written by Matt Davis <mattdavis9@gmail.com>.

The original man page and some additional configure and Makefile hackage was contributed by Francois Marier <francois@debian.org>.

This manual page was originally written by Francois Marier <francois@debian.org>, for the Debian project (and may be used by others). This manual page has since been modified by Matt Davis.

See the AUTHORS file for a list of other contributors.